<div class="login-container">
  <form (ngSubmit)="onSubmit()" [formGroup]="loginForm">
    <h2>Login</h2>
    <div class="form-group">
      <label for="username">Username:</label>
      <input type="text" id="username" formControlName="username" required>
      <span *ngIf="!loginForm.get('username')!.valid && loginForm.get('username')!.touched" class="help-block">
        <p class="error-message">Username must contain only letters and numbers</p>
    </span>
    </div>
    <div class="form-group">
      <label for="password">Password:</label>
      <input type="password" id="password" formControlName="password" required>
      <span *ngIf="!loginForm.get('password')!.valid && loginForm.get('password')!.touched" class="help-block">
        <p class="error-message">Passwor is invalid must be 6 character</p>
    </span>
    </div>
    <button type="submit" [disabled]="loginForm.invalid">Login</button>
  </form>  
</div>